package cn.estsh.i3plus.pojo.andon.bean;

import cn.estsh.i3plus.pojo.base.annotation.AnnoOutputColumn;
import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import javax.persistence.Transient;

/**
 * @Description : 安灯通知对象
 * @Reference :
 * @Author : silliter.yuan
 * @CreateDate : 2019-05-10 17:16
 * @Modify:
 **/
@Data
@Entity
@Table(name="ANDON_RESPONSE_OBJECT")
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Api("安灯通知对象")
public class AndonResponseObject extends BaseBean {

    @Column(name = "RP_OBJECT_CODE")
    @ApiParam(value = "通知对象对象编码")
    private String rpObjectCode;

    @Column(name = "RP_OBJECT_NAME")
    @ApiParam(value = "通知对象名称")
    private String rpObjectName;

    @Column(name = "RP_OBJECT_VALUE")
    @ApiParam(value = "通知对象值")
    private String rpObjectValue;

    @AnnoOutputColumn(hidden = true)
    @Transient
    @ApiParam(value = "通知对象")
    private String rpObjectValueRdd;
}
