package cn.estsh.i3plus.pojo.aps.bean;

import cn.estsh.i3plus.pojo.aps.annotation.ExcludeImportExport;
import cn.estsh.i3plus.pojo.aps.common.BaseAPS;
import cn.estsh.i3plus.pojo.base.enumutil.ApsEnumUtil;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * @Description :BOM树
 * @Reference :
 * @Author : jason.niu
 * @CreateDate : 2019-09-17
 * @Modify:
 **/
@Data
@EqualsAndHashCode(callSuper = true)
@Api("BOM树")
@ExcludeImportExport
public class BomTree extends BaseAPS {

    @ApiParam(value ="物料类型")
    private ApsEnumUtil.MATERIAL_TYPE type;

    @ApiParam(value ="备料类型")
    private ApsEnumUtil.PREPARE_TYPE prepareType;

    @ApiParam(value ="补充类型")
    private ApsEnumUtil.REPLENISHMENT_TYPE replType;

    @ApiParam(value ="采购提前期")
    private String purchaseLeadTime;

    @ApiParam(value ="制造提前期")
    private String manufLeadTime;

    @ApiParam(value ="配送提前期")
    private String shipmentLeadTime;

    @ApiParam(value ="单位采购量")
    private Integer unitPurchase;

    @ApiParam(value ="单位制造量")
    private Integer unitManuf;

    @ApiParam(value ="单位配送量")
    private Integer unitShipment;
}
