package cn.estsh.i3plus.pojo.aps.model;

import cn.estsh.i3plus.pojo.aps.converter.CustomDateDeserializer;
import cn.estsh.i3plus.pojo.aps.converter.CustomDateSerializer;
import cn.estsh.i3plus.pojo.base.enumutil.ApsEnumUtil;
import com.fasterxml.jackson.databind.annotation.JsonDeserialize;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import io.swagger.annotations.Api;
import lombok.Data;

import java.util.Date;

/**
 * @Description : 报表分页查询参数
 * @Reference :
 * @Author : jason.niu
 * @CreateDate : 2019-11-22
 * @Modify:
 **/
@Data
@Api("报表分页查询参数")
public class ReportPager extends APSPager {
    @JsonSerialize(using = CustomDateSerializer.class)
    @JsonDeserialize(using = CustomDateDeserializer.class)
    private Date begin;     // 统计开始时间
    @JsonSerialize(using = CustomDateSerializer.class)
    @JsonDeserialize(using = CustomDateDeserializer.class)
    private Date end;       // 统计结束时间
    private ApsEnumUtil.MATERIAL_REPORT_TYPE type;
    private ApsEnumUtil.REPORT_TIME_SPAN span;  // 统计时间间隔
}
