package cn.estsh.i3plus.pojo.form.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * @Description :
 * @Reference :
 * @Author : Adair Peng
 * @CreateDate : 2019-03-21 14:08
 * @Modify:
 **/
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Table(name="bf_ref_element_property_virtual_detail")
@Api(value="对象元素虚拟属性",description = "对象元素虚拟属性")
public class BfRefElementPropertyVirtualDetail extends BaseBean {

    @Column(name = "ELEMENT_ID")
    @ApiParam(value = "对象元素ID", example = "-1")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long elementId;

    @Column(name = "element_property_virtual_id")
    @ApiParam(value = "对象元素虚拟属性ID", example = "-1")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long elementPropertyVirtualId;

    @Column(name = "element_property_id")
    @ApiParam(value = "对象元素属性", example = "-1")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long elementPropertyId;

}
