package cn.estsh.i3plus.pojo.form.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * @Description : 功能角色关系
 * @Reference :
 * @Author : yunhao
 * @CreateDate : 2019-03-21 18:45
 * @Modify:
 **/
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Table(name = "BF_REF_METHOD_ROLE")
@Api(value = "功能角色关系", description = "功能角色关系")
public class BfRefMethodRole extends BaseBean {

    @Column(name = "METHOD_ID")
    @ApiParam(value = "表单功能id")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long methodId;

    @Column(name = "METHOD_NAME_RDD")
    @ApiParam(value = "表单功能名称")
    private String methodNameRdd;

    @Column(name = "METHOD_LAYOUT_NAME_RDD")
    @ApiParam(value = "功能布局名称")
    private String methodLayoutNameRdd;

    @Column(name = "ROLE_ID")
    @ApiParam(value = "角色id")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long roleId;

    @Column(name = "ROLE_NAME_RDD")
    @ApiParam(value = "角色名称")
    private String roleNameRdd;

}
