package cn.estsh.i3plus.pojo.mes.pcn.bean;


import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import javax.persistence.Transient;

/**
 * @Author: Wynne.Lu
 * @CreateDate: 2019/7/30 9:30 AM
 * @Description:
 **/
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Table(name = "MES_ESOP")
@Api("作业指导书信息表(ODS)")
public class MesEsop extends BaseBean {

    @Column(name = "PART_NO")
    @ApiParam("零件号")
    private String partNo;

    @Column(name = "WORK_CENTER_CODE")
    @ApiParam("工作中心代码")
    private String workCenterCode;

    @Column(name = "WORK_CELL_CODE")
    @ApiParam("工作单元代码")
    private String workCellCode;

    @Column(name = "ROUTE_CODE")
    @ApiParam("流程代码")
    private String routeCode;

    @Column(name = "PROCESS_CODE")
    @ApiParam("工序代码")
    private String processCode;

    @Column(name = "STEP_CODE")
    @ApiParam("工步代码")
    private String stepCode;

    @Column(name = "STEP_SEQ")
    @ApiParam("工步序号")
    private Integer stepSeq;

    @Column(name = "FILE_ID")
    @ApiParam("文件id")
    private Long fileId;

    @Transient
    @ApiParam("文件名称")
    private String fileName;

    @Transient
    @ApiParam("文件URL")
    private String fileUrl;

    @Transient
    @ApiParam("组名")
    private String groupName;

    @Transient
    @ApiParam("文件原名")
    private String fileOriginName;

    @Transient
    @ApiParam("文件大小")
    private String fileSize;

    @Transient
    @ApiParam("文件类型名称")
    private String fileType;

    @Transient
    @ApiParam("同步标记")
    private Integer syncTag = 0;

}
