package cn.estsh.i3plus.pojo.mes.pcn.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import javax.persistence.Transient;

/**
 * @Description:
 * @Reference:
 * @Author: joke.wang
 * @CreateDate: 2019\10\16 14:17
 * @Modify:
 **/
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Table(name = "MES_PRODUCE_CTGY_PICTURE")
@Api("产品类型图片表")
public class MesProduceCtgyPicture extends BaseBean {

    @Column(name = "PRODUCE_CTGY_CODE")
    @ApiParam("产品类型代码")
    private String produceCtgyCode;

    @Column(name = "SIDE_LOCATION")
    @ApiParam("面位")
    private String sideLocation;

    @Column(name = "FILE_ID")
    @ApiParam("文件id")
    private Long fileId;

    @Transient
    @ApiParam("文件名称")
    private String fileName;

    @Transient
    @ApiParam("文件URL")
    private String fileUrl;

    @ApiParam("图片URL")
    private String pictureUrl;
}
