package cn.estsh.i3plus.pojo.mes.pcn.model;


import cn.estsh.i3plus.pojo.mes.pcn.bean.MesPackage;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

/**
 * @Author: wangjie
 * @CreateDate: 2019/9/23 8:06 PM
 * @Description:
 **/
@Data
@NoArgsConstructor
@AllArgsConstructor
@Api("产品包装model")
public class ProdPackageModel {

    @ApiParam("工单号")
    private String workOrderNo;

    @ApiParam("生产线")
    private String workCenterCode;

    @ApiParam("客户代码")
    private String custCode;

    @ApiParam("班次")
    private String shiftCode;

    @ApiParam("班次名称")
    private String shiftName;

    @ApiParam("物料号")
    private String partNo;

    @ApiParam("物料名称")
    private String partNameRdd;

    @ApiParam("单位")
    private String unit;

    @ApiParam("工单数量")
    private Double workOrderQty;

    @ApiParam("完成数量")
    private Double completeQty;

    @ApiParam("包装规格数量")
    private Double packSpecQty;

    @ApiParam("包装规格")
    private String packSpec;

    @ApiParam("数量")
    private Double qty;

    @ApiParam("特殊批次")
    private String fixLotNo;

    @ApiParam("包装集合")
    private List<MesPackage> packageList;

    @ApiParam("打印状态文字")
    private String printStrStatus;

    @ApiParam("包装层级名称")
    private String packLevelName;

    @ApiParam("是否封箱名称")
    private String isSealedName;

}
