package cn.estsh.i3plus.pojo.mes.bean;


import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import javax.persistence.Transient;

/**
 * @Description :设备周期作业计划
 * @Reference :
 * @Author : wangjie
 * @CreateDate : 2019-10-11
 * @Modify:
 **/
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Table(name = "MES_EQU_TASK_PLAN")
@Api("设备周期作业计划")
public class MesEquTaskPlan extends BaseBean {
    @Column(name = "EQUIPMENT_CODE")
    @ApiParam("设备代码")
    private String equipmentCode;

    @Column(name = "EQUIPMENT_NAME")
    @ApiParam("设备名称")
    private String equipmentName;

    @Column(name = "TASK_TYPE")
    @ApiParam("作业类型")
    private Integer taskType;

    @Column(name = "TASK_CYCLE")
    @ApiParam("周期(天)")
    private Integer taskCycle;

    @Column(name = "LAST_TIME")
    @ApiParam("上一执行时间")
    private String lastTime;

    @Column(name = "DAYS_IN_ADVANCE")
    @ApiParam("创建提前天数")
    private Integer daysInAdvance;

    @Column(name = "MEMO")
    @ApiParam("备注")
    private String memo;

    @Transient
    @ApiParam(value = "生产线")
    private String workCenterCode;

    @Transient
    @ApiParam(value = "设备类别")
    private String equipmentCategory;

    @Transient
    @ApiParam("计划日期")
    private String planTime;

    @Transient
    @ApiParam("作业任务编号")
    private String taskNo;

}
