package cn.estsh.i3plus.pojo.mes.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * @Description:
 * @Reference:
 * @Author: joke.wang
 * @CreateDate: 2019\10\10 0010 11:56
 * @Modify:
 **/
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Table(name = "MES_FAULT_CAUSE")
@Api("mes设备故障原因表")
public class MesFaultCause extends BaseBean {

    @Column(name = "FC_CODE")
    @ApiParam("故障原因代码")
    private String fcCode;

    @Column(name = "FC_NAME")
    @ApiParam("故障原因描述")
    private String fcName;

    @Column(name = "PARENT_FC_CODE")
    @ApiParam("父阶原因代码")
    private String parentFcCode;
}
