package cn.estsh.i3plus.pojo.mes.bean;


import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Index;
import javax.persistence.Table;

/**
 * @Author: Wynne.Lu
 * @CreateDate: 2019/9/21 1:57 PM
 * @Description:
 **/
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Table(name = "MES_WC_CHECK_RECORD", indexes = {
        @Index(columnList = "CREATE_DATE_TIME")
})
@Api("开线检查记录")
public class MesWcCheckRecord extends BaseBean {

    @Column(name = "WORK_CENTER_CODE")
    @ApiParam("工作中心")
    private String workCenterCode;

    @Column(name = "WORK_ORDER")
    @ApiParam("工单号")
    private String workOrder;

    @Column(name = "PART_NO")
    @ApiParam("产品物料号")
    private String partNo;

    @Column(name = "CHECK_TYPE")
    @ApiParam("检查类型")
    private String checkType;

    @Column(name = "CHECK_OBJ")
    @ApiParam("检查对象")
    private String checkObj;

    @Column(name = "CHECK_ITEM")
    @ApiParam("检查项")
    private String checkItem;

    @Column(name = "STANDARD")
    @ApiParam("检查标准")
    private String standard;

    @Column(name = "CHECK_RESULT")
    @ApiParam("检查结果")
    private String checkResult;

    @Column(name = "CHECK_VALUE")
    @ApiParam("检查值")
    private String checkValue;

    @Column(name = "REASON")
    @ApiParam("原因")
    private String reason;

    @Column(name = "GROUP_CODE")
    @ApiParam("组名")
    private String groupCode;

    @Column(name = "OVERALL_RESULT")
    @ApiParam
    private Integer overAllResult;

}
