package cn.estsh.i3plus.pojo.report.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;
import org.hibernate.annotations.Type;

import javax.persistence.*;
import java.util.List;

/**
 * @Description : 数据元素
 * @Reference : Jenkins 自动合并代码测试
 * @Reference : Jenkins 自动合并代码测试
 * @Reference : Jenkins 自动合并代码测试
 * @Author : alwaysfrin
 * @CreateDate : 2018-12-25 19:54
 * @Modify:
 **/
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Table(name="BR_ELEMENT")
@Api(value="数据元素",description = "数据元素绑定对应的列")
public class BrElement extends BaseBean {

    @Column(name="ELEMENT_NAME")
    @ApiParam(value ="元素名称")
    private String elementName;

    @Column(name="ELEMENT_TYPE")
    @ApiParam(value ="元素类型")
    //BlockReportEnumUtil.REPORT_ELEMENT_TYPE
    private Integer elementType;

    @Column(name="ELEMENT_VALUE")
    @ApiParam(value ="元素值")
    private String elementValue;

    @Column(name="ELEMENT_FILE_ID")
    @ApiParam(value ="元素文件id")
    private Long elementFileId;

    @Column(name="ELEMENT_FILE_URL")
    @ApiParam(value ="元素文件Url")
    private String elementFileUrl;

    @Column(name="ELEMENT_STYLE")
    @ApiParam(value ="元素样式css")
    private String elementStyle;

    @Lob
    @Column(name="ELEMENT_HTML")
    @ApiParam(value ="元素html")
    private String elementHtml;
}
