package cn.estsh.i3plus.pojo.wms.bean;

import cn.estsh.i3plus.pojo.base.annotation.AnnoOutputColumn;
import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;

/**
* @Description : 物料清单模板
* @Reference :
* @author: jessica.chen
* @date: 2019/10/22 17:10
* @Modify:
*/

@Data
@Api(value="领料单模板",description = "领料单模板")
public class WmsBomTemplate extends BaseBean {

    private static final long serialVersionUID = 2167743108452607611L;

    @ApiParam(value = "父物料号")
    @AnnoOutputColumn
    private String partNo;

    @ApiParam(value = "父物料描述")
    @AnnoOutputColumn
    private String partName;

    @ApiParam(value = "父计量单位")
    @AnnoOutputColumn
    private String unit;

    @ApiParam(value = "父级数量")
    @AnnoOutputColumn
    private Double qty;

    @ApiParam(value = "子物料号")
    @AnnoOutputColumn
    private String itemPartNo;

    @ApiParam(value = "子物料描述")
    @AnnoOutputColumn
    private String itemPartName;

    @ApiParam(value = "子计量单位")
    @AnnoOutputColumn
    private String itemUnit;

    @ApiParam(value = "子用量")
    @AnnoOutputColumn
    private Double itemQty;

    @ApiParam(value = "BOM编号")
    @AnnoOutputColumn
    private String bomNum;

    @ApiParam(value = "BOM版本号")
    @AnnoOutputColumn
    private String bomVersion;

    @ApiParam(value = "有效起始日期")
    @AnnoOutputColumn
    private String effStartTime;

    @ApiParam(value = "有效截止日期")
    @AnnoOutputColumn
    private String effEndTime;

}
