package cn.estsh.i3plus.pojo.wms.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * @Description : WMS_拉动计划任务主表
 * @Reference :
 * @Author : jessica.chen
 * @CreateDate : 2019-11-09 14:21
 * @Modify:
 **/
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Table(name="WMS_PULL_TASK_MASTER")
@Api("WMS_拉动计划任务主表")
public class WmsPullTaskMaster extends BaseBean{

    private static final long serialVersionUID = 9214639813072592736L;

    @Column(name="WROKORDER_NO")
    @ApiParam("工单号")
    private String woekorderNo;

    @Column(name="PDLINE_NO")
    @ApiParam("产线代码")
    private String pdlineNo;

    @Column(name="PLAN_PRODUCT_TIME")
    @ApiParam("生产日期")
    private String planProductTime;

    @Column(name="SHIFT_NO")
    @ApiParam("班次代码")
    private String shitNo;

    @Column(name="START_PRODUCT_TIME")
    @ApiParam("开始生产时间")
    private String startProductTime;

    @Column(name="END_PRODUCT_TIME")
    @ApiParam("结束生产时间")
    private String endProductTime;

    @Column(name="ORDER_STATUS")
    @ApiParam(value = "单据状态", example = "0")
    private Integer orderStatus = 0;

    public Integer getOrderStatus() {
        return orderStatus == null ? 0 : this.orderStatus.intValue();
    }


}