package cn.estsh.i3plus.pojo.wms.bean;


import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import cn.estsh.i3plus.pojo.wms.dto.WmsTmsShipModel;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import javax.persistence.Transient;
import java.util.List;

/**
 * @Description : 车辆信息
 * @Reference :
 * @Author : gcj
 * @CreateDate : 2019-12-06 15:58
 * @Modify:
 **/
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Table(name="WMS_TMS_SHIPPING_EXT")
@Api("装车单信息")
public class WmsTmsShippingExt extends BaseBean {

    @Column(name="MOVE_NO")
    @ApiParam(value ="移库单号")
    private String moveNo;

    @Column(name="DESTINATION")
    @ApiParam(value ="到货地点")
    private String destination;

    @Column(name="REC_USER")
    @ApiParam(value ="接收人")
    private String recUser;

    @Column(name="REC_PHONE")
    @ApiParam(value ="接收人电话")
    private String recPhone;

    @Column(name="DOCK_NO")
    @ApiParam(value ="道口")
    private String dockNo;

    @Column(name="VENDOR_NO")
    @ApiParam(value ="承运商编号")
    private String vendorNo;

    @Column(name="VENDOR_NAME")
    @ApiParam(value ="承运商名称RDD")
    private String vendorName;

    @Column(name="DRIVER_NO")
    @ApiParam(value ="驾驶员编号")
    private String driverNo;

    @Column(name="DRIVER_NAME")
    @ApiParam(value ="驾驶员名称RDD")
    private String driverName;

    @Column(name="PHONE")
    @ApiParam(value ="驾驶员联系方式RDD")
    private String phone;

    @Column(name="ORDER_STATUS")
    @ApiParam(value ="单据状态")
    private Integer orderStatus;

    @Column(name="CUST_NAME")
    @ApiParam(value ="客户名称RDD")
    private String custName;

    @Column(name="CUST_NO")
    @ApiParam(value ="客户编号RDD")
    private String custNo;

    @Column(name="CAR_NO")
    @ApiParam(value ="车牌号RDD")
    private String carNo;

    @Column(name="DELIVERY_TIME")
    @ApiParam(value ="计划发车时间")
    private String deliveryTime;

    @Column(name="ARRIVEL_TIME")
    @ApiParam(value ="要求到货时间")
    private String arrivelTime;

    @Column(name="DEPART")
    @ApiParam(value =" 申请部门")
    private String depart;


    @Transient
    @ApiParam("物料编码")
    private String partNo;

    @Transient
    @ApiParam("关联单号")
    private String refOrderNo;

    @Column(name="PATH_URL")
    @ApiParam("回执单地址")
    private String pathUrl;

    @Transient
    @ApiParam("打印模板列表")
    private List<WmsTmsShipModel> shipModels;
}
